package com.kitlocate.geofencing;

import java.util.ArrayList;

import android.content.Context;
import com.kitlocate.geofencing.R;
import com.kl.kitlocate.*;

public class KitLocateCallbacks 
{
	
	public static void geofenceIn(Context context, ArrayList<KLGeofence> alGeofences)
	{
		// Received geofence In
		new KLLocalNotification(context, getMessageFromArrayOfGeofences(alGeofences), R.drawable.point).setDefaultSound(true).setNotificationID(101).setContentTitle("GEOFENCE IN").send();
	}
	
	public static void geofenceOut(Context context, ArrayList<KLGeofence> alGeofences)
	{
		// Received geofence Out
		new KLLocalNotification(context, getMessageFromArrayOfGeofences(alGeofences), R.drawable.point).setDefaultSound(true).setNotificationID(102).setContentTitle("GEOFENCE OUT").send();
	}
	
	private static String getMessageFromArrayOfGeofences(ArrayList<KLGeofence> alGeofences)
	{
		String strMessage = "";
		if(alGeofences != null && alGeofences.size() > 0)
		{
			strMessage += "{"+String.valueOf(alGeofences.size())+"}";
			for(Object obj : alGeofences)
			{
				KLGeofence geo = (KLGeofence) obj;
				strMessage += "(";
				boolean bSaw = false;
				if(!geo.getIDServer().equalsIgnoreCase(""))
				{
					strMessage +=  "S[" + geo.getIDServer() + "]";
					bSaw = true;
				}
				if(!geo.getIDUser().equalsIgnoreCase(""))
				{
					strMessage += "U["+geo.getIDUser() + "]";
					bSaw = true;
				}
				if(!bSaw)
				{
					strMessage += "I[" + String.valueOf(geo.getIDPrimary()) + "]";
				}
				strMessage += ")";
			}
		} else {
			strMessage += " Problem";
		}
		return strMessage;
	}
	
	public static void onSuccessInitKitLocate(Context context, int status)
	{
		// initKitLocate success
	}
	
	public static void onFailInitKitLocate(Context context, int status)
	{
		// initKitLocate failed
	}
}
