package com.kitlocate.geofencing;

import com.kitlocate.geofencing.R;
import com.kl.kitlocate.*;

import android.os.Bundle;
import android.app.Activity;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {
	
	// UI parameters
	TextView txtStatus;
	Button btnStart;
	Button btnStop;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
     	// Init UI Elements
        txtStatus = (TextView)findViewById(R.id.TextStatus);
        btnStart = (Button)findViewById(R.id.ButtonStart);
        btnStop = (Button)findViewById(R.id.ButtonStop);
        btnStart.setOnClickListener(new View.OnClickListener() {
        	
			@Override
			public void onClick(View v) 
			{
				onClickStart();
			}
		});
        btnStop.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) 
			{
				onClickStop();
			}
		});
        
        // "04d62c09-cb8f-4dd1-9bbf-b9b9dfcaa12a" is a free Developer key it works only on examples
        // to create your own Developer key for your App,
        // Access: http://developer.kitlocate.com
        // Free register and create your application,
        // For any problem please don't hesitate: ContactUs@KitLocate.com
        KitLocate.initKitLocate(this, "04d62c09-cb8f-4dd1-9bbf-b9b9dfcaa12a", KitLocateCallbacks.class);
        
    }
    
    public void onClickStart()
    {
//	     Let's add the the geofences
//	     ===========================
//	     We create the geofence using the KLLocation.addGeofence method written below. It contains the following parameters:
//	     Latitude/Longitude - Coordinates of the center of the geofence
//	     PushRadius         - The radius around the center that counts as a part of geofence, given in meters
//	     Type               - Can be KLGeofence.TYPE.IN or KLGeofence.TYPE.OUT:
//	                            KLGeofence.TYPE.OUT - You'll be noted when the device will exit the geofence area
//	                            KLGeofence.TYPE.IN  - You'll be noted when the device will enter the geofence area
//	     ID 				- Your given ID that you will be able to recognize it, notice this is unique ID
//	     
//	     The return of the function will be -1 if an error occur, or a positive number when a success, this positive number will be KitLocate internal ID
		
		if(KLLocation.addGeofence(MainActivity.this, 40.758928f, -73.98512f, 200, KLGeofence.TYPE.OUT, "TIMES SQUARE") == KLConstants.KL_ERROR_INT_VALUE)
		{
			// Problem occur while adding the first GeoFence
			txtStatus.setText("Problem adding the first Geofence");
		}
		
		if(KLLocation.addGeofence(MainActivity.this, 40.748444f, -73.985614f, 200, KLGeofence.TYPE.IN, "EMPIRE STATE BUILDING") == KLConstants.KL_ERROR_INT_VALUE)
		{
			// Problem occur while adding the first GeoFence
			txtStatus.setText("Problem adding the second Geofence");
		}
		
		// Register for Geofencing location
		KLLocation.registerGeofencing(MainActivity.this);
		// Add two geofencing
		
		txtStatus.setText("Register for GeoFencing");
    }
    
    public void onClickStop()
    {
    	txtStatus.setText("Unregister for GeoFencing");
		// Unregister for Geofencing location
		KLLocation.unregisterGeofencing(MainActivity.this);
		// And we can also decide to delete all the GeoFencing we currently tracking
		KLLocation.deleteAllGeofences(MainActivity.this);
    }
    
    // Make sure you notify every Activity Stop & Activity Start to KitLocate
    @Override
	public void onStop()
	{
		super.onStop();
		// Call KitLocate onActivityStop
		KLApplication.onActivityStop(this);
	}
        
	@Override
	public void onStart()
	{
		super.onStart();
		// Call KitLocate onActivityStart
		KLApplication.onActivityStart(this);
	}
	
	@Override
	public void onResume()
	{
		super.onResume();
		KLApplication.onActivityResume(this);
		
		if(KLGeneralUtilities.checkLocationProvidersEnabledAndAlertMessageIfNeeded(this, false, false))
		{
			txtStatus.setText("Working properly v" + KLConstants.KL_VERSION);
		} else {
			txtStatus.setText("Not Working properly");
		}
	}
}
